#!/usr/bin/perl

package Modules::Zine::IndexDeep;

=pod

=head1 Modules::Zine::IndexDeep;

Displays a multi-level index as a flat list.  This differs from Basic,
which only shows the top level.

=cut

use strict;
use ExSite::Config;
use ExSite::Tree;
use Modules::Zine::IndexThreaded;
use Modules::Zine::Index;

use vars qw(@ISA);
@ISA = qw(Modules::Zine::IndexThreaded Modules::Zine::Index);

sub index {
    my ($this,%opt) = @_;

    # get all the articles in the index
    my $tree = $this->fetch_index(%opt);
    my @a = $tree->collapse($this->{article_id});

    my @articles;
    foreach my $a (@a) { 
	push @articles,$a if ($a->{type} eq $opt{mode});
    }
    $this->{nart} = scalar @articles;
    $this->{narch} = 0;

    # format the index
    return $this->index_basic(\%opt,@articles);
}

sub archive_count {
    my $this = shift;
    return $this->{narch};
}

sub article_count {
    my $this = shift;
    return $this->{nart};
}

### FIXME: we inherit IndexThreaded's archive and active article counts, 
### which is probably wrong since we're not really displaying threads.

1;



