#!/usr/bin/perl

package Modules::Zine::IndexGallery;

=pod

=head1 Modules::Zine::IndexGallery

=cut

use strict;
use ExSite::Config;
use Modules::Zine::Index;

use vars qw(@ISA);
@ISA = qw(Modules::Zine::Index);

sub index {
    my ($this,%opt) = @_;

    # get all the articles in the index
    my @articles = $this->fetch_index(%opt);

    # format the index
    return $this->index_gallery(\%opt,@articles);
}

# A gallery indexes a zine using its photos
# $grid==TRUE means show articles in a grid, otherwise use a list

sub index_gallery {
    my ($this,$opt,@art) = @_;

    my $out;
    my $n = 0;
    if (@art > 0) {
	$this->save;
	foreach my $art (@art) {
	    next if ($art->{type} eq "comment" and $opt->{mode} eq "article");
	    next if ($art->{type} ne "comment" and $opt->{mode} ne "article");
	    $this->set($art);
	    if ($opt->{age} >= 0 && ($this->age > $opt->{age})) {
		$this->{narch}++;
		next;
		#last;
	    }
	    my $thumb = $this->thumb || "<img src=\"$config{server}{HTMLpath}/_Modules/Zine/nophoto.gif\" border=\"0\">";
	    #my $summary = $this->summarize("teaser");
	    my $summary = $this->show_info();
	    my $url = $this->link(zine=>"show",aid=>$this->{article_id});
	    $out .= "<tr><td width=\"100\" align=\"center\" class=\"ZineThumb\"><a href=\"$url\">$thumb</a></td><td>$summary</td></tr>\n";
	    $n++;
	    if ($n == $opt->{limit}) {
		$this->{narch}++;
		last;
	    }
	}
	$this->restore;
    }
    if ($out) {
	$out = "<table class=\"ZineIndex\">\n$out\n</table>\n";
    }
    return $out;
}

1;

