#!/usr/bin/perl

package Modules::Zine::IndexGrid;

=pod

=head1 Modules::Zine::IndexGrid

=cut

use strict;
use ExSite::Config;
use Modules::Zine::Index;

use vars qw(@ISA);
@ISA = qw(Modules::Zine::Index);

sub index {
    my ($this,%opt) = @_;

    # get all the articles in the index
    my @articles = $this->fetch_index(%opt);

    # format the index
    return $this->index_grid(\%opt,@articles);
}

# A grid gallery indexes a zine using its photos

sub index_grid {
    my ($this,$opt,@art) = @_;

    my $out;
    my $n = 0;
    my $gwidth = $this->{config}{gallery_width} || 4;
    if (@art > 0) {
	$this->save;
	foreach my $art (@art) {
	    next if ($art->{type} eq "comment" and $opt->{mode} eq "article");
	    next if ($art->{type} ne "comment" and $opt->{mode} ne "article");
	    $this->set($art);
	    if ($opt->{age} >= 0 && ($this->age > $opt->{age})) {
		$this->{narch}++;
		next;
		#last;
	    }
	    my $thumb = $this->thumb || "<img src=\"$config{server}{HTMLpath}/_Modules/Zine/nophoto.gif\" height=\"50\" width=\"50\" border=\"0\">"; 
	    my $url = $this->link(zine=>"show",aid=>$this->{article_id});
	    $out .= "<td align=\"center\" class=\"ZineThumb\"><a href=\"$url\">$thumb</a></td>\n";
	    $n++;
	    if ($n == $opt->{limit}) {
		$this->{narch}++;
		last;
	    }
	    if (($n % $gwidth) == 0) {
		$out .= "</tr><tr>\n";
	    }
	}
	foreach (1.. ((scalar @art) % $gwidth)) {
	    $out .= "<td class=\"ZineThumb\"></td>\n";
	}
	$this->restore;
    }
    if ($out) {
	$out = "<table class=\"ZineIndex\"><tr>\n$out</tr></table>\n";
    }

    return $out;
}

1;

