#!/usr/bin/perl

package Modules::Zine::IndexList;

=pod

=head1 Modules::Zine::IndexList

=cut

use strict;
use ExSite::Config;
use Modules::Zine::Index;

use vars qw(@ISA);
@ISA = qw(Modules::Zine::Index);

sub index {
    my ($this,%opt) = @_;

    # get all the articles in the index
    my @articles = $this->fetch_index(%opt);

    # format the index
    return $this->index_list(\%opt,@articles);
}

sub index_list {
    my ($this,$opt,@articles) = @_;

    # save current article
    $this->save;

    # build normal list-like indexes
    my $listtype = $this->list_type;
    my $index = "<$listtype>\n";
    foreach my $art (@articles) {
	$this->set($art);
	$index .= "<li>".$this->show_item($opt->{format})."</li>\n";
    }
    $index .= "</$listtype>\n";

    # reset article
    $this->restore;

    return $index;
}

sub list_type { return "ul"; }

1;

